/*---------------------------------------------------------------------------
  Project:  ImageDb
  File:     ImageIOSearch.h
  
  Provides image enumeration and search features.
  ---------------------------------------------------------------------------*/
#ifndef IMAGE_IO_SEARCH_H_
#define IMAGE_IO_SEARCH_H_

#include <nn/fnd.h>
#include <imgdb/ImageIO/ImageIOTypes.h>


namespace imgdb {
    namespace search {


/*
  
  
  
  
  
  */
void Initialize();

/*
  
  
  
  */
void Finalize();


/*
  
  
  
  
  
  
  
  
  

  
  

  
  
  
  
  
  
  
  
  
  

  
  */
void SearchPicture();

/*
  
  
  
  
  */
int GetResultNum();

/*
  
  
  
  */
u32 GetTitleUniqueId(int nIndex);

/*
  
  
  
  
  
  
  
  */
void GetPath(wchar_t* pPath, int nSize, int nIndex);

/*
  
  
  
  */
imgio::ImageKind GetImageKind(int nIndex);

/*
  
  
  
  */
nn::fnd::DateTime GetDateTime(int nIndex);


    } // end of namespace search
} // end of namespace imgdb

#endif // IMAGE_ENUMERATOR_H_
