/*---------------------------------------------------------------------------
  Project:  ImageDb
  File:     ImageIOUtility.h
  
  Utilities
  ---------------------------------------------------------------------------*/
#ifndef IMAGE_IO_UTILITY_H_
#define IMAGE_IO_UTILITY_H_


#include <nn/assert.h>
#include <nn/types.h>
#include <imgdb/Core/ImageDbResult.h>


namespace imgdb {
    namespace util {


/*
  
  
  
  

  
  */
int GetRegisteredPictureNum();

/*
  
  
  
  
  
  
  
  
  
  
  
  
  
    
    
    
    
    
    
    
  
 */
int EstimateRemainPictureNum(Result* pResult=0);

/*
  
  
  
  
  
  
  
  
 */
bool    IsSamePictureTitleUniqueId(const wchar_t* pPath, u32 nUId);

/*
  
  
  
  
  
  
  
  
  
  
  

  
 */
Result  DeletePicture(const wchar_t* pPath, u32 nUId);


/*
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  

  
  */
Result CollectPicture();

/*
  
  
  
  
  
  
  */
void StopCollect();


    } // end of namespace util
} // end of namespace imgdb

#endif // IMAGE_IO_UTILITY_H_
